be.ehealth.technicalconnector.enumeration

## Enum Charset

- java.lang.Object
- - java.lang.Enum<Charset>
  - - be.ehealth.technicalconnector.enumeration.Charset

- All Implemented Interfaces:
    Serializable, Comparable<Charset>

      public enum Charset
      extends Enum<Charset>

  Enumeration for charsets.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ASCII` ASCII.
    `ISO_8859_1` ISO-8859-1.
    `UNICODEBIGUNMARKED` UnicodeBigUnmarked.
    `UTF_8` UTF-8.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()` It gets the name of the charset.
    `static Charset` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Charset[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UTF_8

          public static final Charset UTF_8

      UTF-8.

    - #### ASCII

          public static final Charset ASCII

      ASCII.

    - #### ISO_8859_1

          public static final Charset ISO_8859_1

      ISO-8859-1.

    - #### UNICODEBIGUNMARKED

          public static final Charset UNICODEBIGUNMARKED

      UnicodeBigUnmarked.

  - ### Method Detail

    - #### values

          public static Charset[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Charset c : Charset.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Charset valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getName

          public String getName()

      It gets the name of the charset.
      Returns:
        the name

Connector Packaging OTMOBILITYIMPROVEMENT 4.9.5 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.